- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- IAM Permissions
Lists all ACL policy revisions in a given ACL policy.
HTTP request
GET https://memorystore.googleapis.com/v1/{parent=projects/*/locations/*/aclPolicies/*}/revisions The URLs use gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
parent |
Required. The resource name of the ACL policy to list revisions for. Format: "projects/{project}/locations/{location}/aclPolicies/{aclPolicy}" |
Query parameters
| Parameters | |
|---|---|
pageSize |
Optional. The maximum number of items to return. |
pageToken |
Optional. The |
Request body
The request body must be empty.
Response body
Response for revisions.list.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{
"aclPolicyRevisions": [
{
object ( |
| Fields | |
|---|---|
aclPolicyRevisions[] |
A list of ACL policy revisions. |
nextPageToken |
Token to retrieve the next page of results, or empty if there are no more results in the list. |
unreachable[] |
Unordered list. Locations that could not be reached. |
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/cloud-platformhttps://www.googleapis.com/auth/memorystore.read-write
IAM Permissions
Requires the following IAM permission on the parent resource:
memorystore.aclPolicyRevisions.list
For more information, see the IAM documentation.